Results 1 to 5 of 5

Thread: help installing the Restricted drivers fglrx with Radeon 9550

  1. #1
    Join Date
    Nov 2009
    Beans
    27

    help installing the Restricted drivers fglrx with Radeon 9550

    Hey all
    i'm having a very hard time trying to get a decent performance out of my radeon 9550.
    At the moment it performs no better than my (32M) Viper.

    desktop effects can't be enabled etc etc

    i tried installing the restricted drivers bu after using synatptic to install the 9.10 ver of catalyst, still nothing shows up under 'hardware drivers'

    (also, maybe unrelated but my xorg.conf seems to have dissapeared)

    sooooo what's the next step?

  2. #2
    Join Date
    Oct 2008
    Location
    philippines
    Beans
    618
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: help installing the Restricted drivers fglrx with Radeon 9550

    ...i think that's the prob with proprietary, such as nvidia and ati. am on nvidia, my desktop effects won't work as well.

    i'd assume you got the correct fglrx package for your machine.

  3. #3
    Join Date
    Jun 2007
    Beans
    13,730

    Re: help installing the Restricted drivers fglrx with Radeon 9550

    Your card is not supported by the restricted drivers anymore. Make sure you purge all of that stuff out: https://wiki.ubuntu.com/X/Troublesho...thRadeonDriver

    If you still have problems, then post/pastebin your /var/log/Xorg.0.log

  4. #4
    Join Date
    Nov 2009
    Beans
    27

    Re: help installing the Restricted drivers fglrx with Radeon 9550

    okay - so i completely purged my system.
    back to open source drivers.
    seems okay (although performance is pretty weak!)

    forgive my lack of understanding: isn't there an 'older' version of the restricted drivers that would work fine? Just because support has been abruptly dropped, doesn't mean i can't use what was working before.

    ooooor, am i missing something (i.e. something in the way karmic handles graphics has broken the older versions of fglrx) Would i have to downgrade to 8.4 for example?

  5. #5
    Join Date
    Jun 2007
    Beans
    13,730

    Re: help installing the Restricted drivers fglrx with Radeon 9550

    Would i have to downgrade to 8.4 for example?
    Yes.

    Just because support has been abruptly dropped, doesn't mean i can't use what was working before. ooooor, am i missing something
    The older drivers do not work on newer X servers.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •